Bug 44357 - xdg-terminal incompatible with TERM=screen and TERM=rxvt-unicode
Summary: xdg-terminal incompatible with TERM=screen and TERM=rxvt-unicode
Status: RESOLVED FIXED
Alias: None
Product: Portland
Classification: Unclassified
Component: xdg-utils (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Portland Bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-31 16:57 UTC by Stephan Sokolow
Modified: 2014-02-07 16:56 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch to fix the problem (965 bytes, patch)
2011-12-31 16:57 UTC, Stephan Sokolow
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Sokolow 2011-12-31 16:57:50 UTC
Created attachment 55011 [details] [review]
Patch to fix the problem

Both screen and rxvt-unicode expect to receive their command lines pre-parsed for quoting and, if given a single string like "echo foo", will fail because the string as a whole cannot be exec()ed.

Furthermore, screen has its own, incompatible meaning for -e.

I've attached an initial patch which resolves these issues but, because I'm unfamiliar with dash, I've also included a TODO: comment explaining the main remaining issue.

The patch may depend on the one-character correction in my patch to bug 44356. I'm relatively new to submitting patches rather than GitHub pull requests.
Comment 1 Stephan Sokolow 2011-12-31 16:58:54 UTC
Oh, I forgot to mention. As with all the other patches I've submitted in the last few days, this is to fix the version at current git HEAD. (b961235b197647d6649ef3d48d7cc2cecafe3d47)
Comment 2 Rex Dieter 2012-03-02 10:45:33 UTC
Thanks, given we don't release or support this piece really, meh, ok. :)

http://cgit.freedesktop.org/xdg/xdg-utils/commit/?id=916d0bfe06aa47295fc3be1bfb79cc694cbc608c
Comment 3 Stephan Sokolow 2012-03-02 13:11:18 UTC
I figured it was better to fix up an existing bit of code and contribute back rather than re-inventing it.

Maybe someday I won't need to bundle a copy of xdg-terminal with my project. (What's holding it up anyway? Lack of a maintainer?)
Comment 4 Rex Dieter 2012-03-02 13:13:18 UTC
I'm not 100% of the history, I only started directly contributing over the past few years, but... I think it was mostly a matter of polish and lack of maintainer, yeah.
Comment 5 Stephan Sokolow 2012-03-02 13:46:51 UTC
If it's just polish and maintainership it needs, I could probably reorganize my schedule. What's the appropriate place to discuss that sort of thing? Is there an NNTP-accessible mailing list? (eg. via GMane)

(My Thunderbird-GMail IMAP integration is broken enough as it is without throwing in a firehose of irrelevant discussion threads.)
Comment 6 wwp 2013-04-25 09:47:59 UTC
Is it me or the patch has been wrongly applied to terminal_kde instead of to terminal_generic?
Comment 7 Rex Dieter 2014-02-07 16:56:50 UTC
Good eye, (re) fixed in the right place this time.  thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.